givtimer.h File Reference
Givaro » System

timer More...

`#include <givaro/givconfig.h>`
`#include <iostream>`
Include dependency graph for givtimer.h:

## Data Structures

class | BaseTimer
| base for class RealTimer; class SysTimer; class UserTimer; More...
class | RealTimer
| Real timer. More...
class | UserTimer
| User timer. More...
class | SysTimer
| Sys timer. More...
class | Timer
| Timer. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

std::ostream & | operator<< (std::ostream &o, const BaseTimer &BT)
| I/O.
std::ostream & | operator<< (std::ostream &o, const Timer &T)
| I/O.

## Detailed Description

timer